Bug 1420703 - Document changes to take over exisiting cluster with rebased ceph ansible
Summary: Document changes to take over exisiting cluster with rebased ceph ansible
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 2.2
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: rc
: 2.2
Assignee: Aron Gunn
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 10:53 UTC by Tejas
Modified: 2017-03-21 23:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 23:49:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tejas 2017-02-09 10:53:19 UTC
Description of problem:
       In this doument:
https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/single/installation-guide-for-red-hat-enterprise-linux/#taking_over_an_existing_cluster

The take-over-existing-cluster.yml script fails to execute since the group_vars is in a new location now.

We need to create a symlink from /etc/ansible/group_vars to /usr/share/ceph-ansible.


Also step3:
group_vars is located at /atc/ansible/group_vars.

Comment 3 Tejas 2017-02-10 05:52:44 UTC
I think it maybe a bit confusing for the users to run the playbook from the /etc/ansible directory.

Andrew,
  Would this be ok?

Thanks,
Tejas

Comment 4 Andrew Schoen 2017-02-10 12:19:38 UTC
Tejas,

The user should not run the playbook from /etc/ansible, this would mean that the playbook would not be able to find the roles defined in /usr/share/ceph-ansible.

Your group_vars need to be defined in /etc/ansible/group_vars and then /etc/ansible/group_vars should be symlinked to /usr/share/ceph-ansible. The playbook run must then happen in /usr/share/ceph-ansible, with the take-over-existing-cluster.yml playbook moved up a directory from infrastructure-playbooks.

Does that match the workaround you tested?

Thanks,
Andrew

Comment 8 Tejas 2017-02-13 03:43:34 UTC
The doc looks good. Thanks Andrew and Aron.


Note You need to log in before you can comment on or make changes to this bug.